Bug 1289872 - It's better to remove "sheepdog" from the type list when creating a storage pool
It's better to remove "sheepdog" from the type list when creating a storage pool
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 04:28 EST by xiaodwan
Modified: 2017-03-05 13:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-05 13:20:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xiaodwan 2015-12-09 04:28:24 EST
Description of problem:
It's better to remove "sheepdog" from the type list when creating a storage pool.

Version-Release number of selected component (if applicable):
virt-manager-1.2.1-8.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Launch virt-manager.
2. Click "Edit->Connection Details", switch to Storage tab, Click '+' button and Create storage pool dialog pops up.
3. Click the type list button.

Actual results:
sheepdog displays in the list.

Expected results:
sheepdog is not supported by rhev, so it's better to remove it.

Additional info:
Comment 1 Pavel Hrdina 2016-05-26 03:05:03 EDT
Moving to RHEL-7.4, this is not a minor issue.
Comment 2 Pavel Hrdina 2016-05-26 03:08:51 EDT
Correction: this is a minor issue.
Comment 3 Pavel Hrdina 2017-02-08 12:11:59 EST
Moving to upstream, this would require support from Libvirt to provide list of supported storage pools.
Comment 4 Cole Robinson 2017-03-05 13:20:29 EST
This isn't really worth tracking against virt-manager IMO. If libvirt grows some kind of capability reporting for storage drivers then we will use it, but otherwise it's better just to advertise everything the app might support

Note You need to log in before you can comment on or make changes to this bug.